## ros-humble-rmf-visualization-obstacles 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rmf_visualization_obstacles)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(vision_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)
find_package(rmf_obstacle_msgs REQUIRED)
find_package(rmf_visualization_msgs REQUIRED)

#===============================================================================
add_library(obstacle_visualizer SHARED src/ObstacleVisualizer.cpp)

target_link_libraries(obstacle_visualizer
  PRIVATE
    rclcpp::rclcpp
    ${rclcpp_components_LIBRARIES}
    ${visualization_msgs_LIBRARIES}
    ${geometry_msgs_LIBRARIES}
    ${vision_msgs_LIBRARIES}
    ${rmf_obstacle_msgs_LIBRARIES}
    ${rmf_visualization_msgs_LIBRARIES}
)

target_include_directories(obstacle_visualizer
  PUBLIC
    ${rclcpp_INCLUDE_DIRS}
    ${rclcpp_components_INCLUDE_DIRS}
    ${visualization_msgs_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
    ${vision_msgs_INCLUDE_DIRS}
    ${rmf_obstacle_msgs_INCLUDE_DIRS}
    ${rmf_visualization_msgs_INCLUDE_DIRS}
)

target_compile_features(obstacle_visualizer INTERFACE cxx_std_17)

rclcpp_components_register_node(obstacle_visualizer
  PLUGIN "ObstacleVisualizer"
  EXECUTABLE obstacle_visualizer_node)

#===============================================================================
if(BUILD_TESTING)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN src
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()

#===============================================================================
install(
  TARGETS
    obstacle_visualizer
  RUNTIME DESTINATION lib/rmf_visualization_obstacles
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-visualization-obstacles (2.0.2-1bookworm) bookworm; urgency=high

  * Port version bump and changes from main to humble
  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/issues/57>)
  * Contributors: Esteban Martinena, Grey, Yadunund

 -- Yadunund <yadunund@openrobotics.com>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-visualization-obstacles (2.0.1-1bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-rmf-visualization-obstacles (2.0.0-1bookworm) bookworm; urgency=high

  * Provides visualizer for obstacles: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.com>  Sun, 02 Oct 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-visualization-obstacles
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-obstacle-msgs, ros-humble-rmf-utils <!nocheck>, ros-humble-rmf-visualization-msgs, ros-humble-vision-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-visualization-obstacles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-obstacle-msgs, ros-humble-rmf-visualization-msgs, ros-humble-vision-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Description: A visualizer for obstacles in RMF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-visualization-obstacles//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-visualization-obstacles//opt/ros/humble/opt/rmf_visualization_obstacles/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
